Triggers
List a trigger's executions
GET
/
v1
/
triggers
/
{trigger_id}
/
executions
List a trigger's executions
curl --request GET \
--url https://api.veri.studio/v1/triggers/{trigger_id}/executions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/triggers/{trigger_id}/executions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/triggers/{trigger_id}/executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"data": [
{
"object": "<string>",
"id": "<string>",
"trigger_id": "<string>",
"kind": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"delivery_id": "<string>",
"session_id": "<string>",
"failure_reason": "<string>",
"payload_excerpt": "<string>",
"result_excerpt": "<string>",
"output_error": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true
}Authorizations
API key with the vk_ prefix. Create one from the dashboard.
Path Parameters
Trigger ID
Query Parameters
Page size, 1..200 (default 50).
Only executions in this status.
List a trigger's executions
curl --request GET \
--url https://api.veri.studio/v1/triggers/{trigger_id}/executions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.veri.studio/v1/triggers/{trigger_id}/executions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.veri.studio/v1/triggers/{trigger_id}/executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "<string>",
"data": [
{
"object": "<string>",
"id": "<string>",
"trigger_id": "<string>",
"kind": "<string>",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"delivery_id": "<string>",
"session_id": "<string>",
"failure_reason": "<string>",
"payload_excerpt": "<string>",
"result_excerpt": "<string>",
"output_error": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true
}
